## pytorch-geometric 2.4.0

=== docs/requirements.txt ===
https://download.pytorch.org/whl/cpu/torch-1.13.0%2Bcpu-cp38-cp38-linux_x86_64.whl
numpy>=1.19.5
nbsphinx
git+https://github.com/pyg-team/pyg_sphinx_theme.git

=== debian/changelog ===
pytorch-geometric (2.4.0-2) unstable; urgency=medium

  * Add build dependency on pybuild-plugin-pyproject (Closes: #1071131)
  * Skip test 'test_graph_unet' as it cannot be run on CPU.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 15 May 2024 01:38:34 -0400

pytorch-geometric (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Add missing build-dependency on flit.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Dec 2023 03:48:48 -0500

pytorch-geometric (2.3.1-3) unstable; urgency=medium

  * Run tests with python3-ase and python3-rdkit.
  * Skip a test failing due to tolerance.
  * Cleanup debian/rules.
  * Replace dependency on python3-all with python3 as python3-torch is built
    for default Python version only.

 -- Andrius Merkys <merkys@debian.org>  Wed, 06 Dec 2023 08:22:10 -0500

pytorch-geometric (2.3.1-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Tue, 21 Nov 2023 01:37:35 -0500

pytorch-geometric (2.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #970575)

 -- Andrius Merkys <merkys@debian.org>  Mon, 18 Sep 2023 08:47:57 -0400

=== debian/control ===
Source: pytorch-geometric
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3,
 python3-ase <!nocheck>,
 python3-jinja2 <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pyparsing <!nocheck>,
 python3-pytest <!nocheck>,
 python3-rdkit <!nocheck>,
 python3-setuptools,
 python3-sklearn <!nocheck>,
 python3-torch <!nocheck>,
 python3-torch-cluster <!nocheck>,
 python3-torch-sparse <!nocheck>,
 python3-tqdm <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/pyg-team/pytorch_geometric
Vcs-Browser: https://salsa.debian.org/deeplearning-team/pytorch-geometric
Vcs-Git: https://salsa.debian.org/deeplearning-team/pytorch-geometric.git

Package: python3-torch-geometric
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Graph Neural Network Library for PyTorch
 PyG (PyTorch Geometric) is a library built upon PyTorch to easily write and
 train Graph Neural Networks (GNNs) for a wide range of applications related to
 structured data.
 .
 It consists of various methods for deep learning on graphs and other irregular
 structures, also known as geometric deep learning, from a variety of published
 papers. In addition, it consists of easy-to-use mini-batch loaders for
 operating on many small and single giant graphs, multi GPU-support, DataPipe
 support, distributed graph learning via Quiver, a large number of common
 benchmark datasets (based on simple interfaces to create your own), the
 GraphGym experiment manager, and helpful transforms, both for learning on
 arbitrary graphs as well as on 3D meshes or point clouds.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = torch-geometric

export http_proxy = 127.0.0.1:9
export https_proxy = 127.0.0.1:9

# Skip tests requiring network connection, also flaky tests and ones requiring GPU
export PYBUILD_TEST_ARGS = -k 'not test_citeseer and not test_enzymes and not test_mutag and not test_basic_gnn_inference and not _on_cora and not test_torch_profile and not test_appnp and not test_asap and not test_two_hop and not test_add_random_walk_pe and not test_graph_unet'

%:
	dh $@ --buildsystem pybuild

## pytorch-geometric 2.6.1

=== docs/Makefile ===
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pytorch_geometric
SOURCEDIR     = source
BUILDDIR      = build

.PHONY: help Makefile

%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(0)

=== docs/requirements.txt ===
https://download.pytorch.org/whl/cpu/torch-1.13.0%2Bcpu-cp38-cp38-linux_x86_64.whl
numpy>=1.19.5
git+https://github.com/pyg-team/pyg_sphinx_theme.git

=== examples/cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(hello-world)

# The first thing do is to tell cmake to find the TorchScatter
# and TorchSparse libraries. The package pulls in all the necessary
# torch libraries, so there is no need to add `find_package(Torch)`.
find_package(TorchScatter REQUIRED)
find_package(TorchSparse REQUIRED)

find_package(Python3 COMPONENTS Development)

add_executable(hello-world main.cpp)

# We now need to link the TorchScatter and TorchSparse libraries
# to our executable. We can do that by using the
# TorchScatter::TorchScatter and TorchSparse::TorchSparse targets,
# which also adds all the necessary torch dependencies.
target_compile_features(hello-world PUBLIC cxx_range_for)
target_link_libraries(hello-world TorchScatter::TorchScatter)
target_link_libraries(hello-world TorchSparse::TorchSparse)
target_link_libraries(hello-world ${CUDA_cusparse_LIBRARY})
set_property(TARGET hello-world PROPERTY CXX_STANDARD 14)

=== debian/changelog ===
pytorch-geometric (2.6.1-7) unstable; urgency=medium

  * Team upload.
  * For now, run autopkgtests only on architectures where they work.
    Closes: #1101533.
  * Update single-cpu.patch from upstream.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 13 Aug 2025 20:20:00 +0200

pytorch-geometric (2.6.1-6) unstable; urgency=medium

  * Team upload.
  * Use architecture.mk to ensure that DEB_HOST_ARCH is known.
    Closes: #1101533.

 -- Santiago Vila <sanvila@debian.org>  Wed, 02 Apr 2025 19:30:00 +0200

pytorch-geometric (2.6.1-5) unstable; urgency=medium

  * Team upload.
  * Skip test_my_static_graph_conv on arm64 and ppc64el. Closes: #1101533.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Apr 2025 22:20:00 +0200

pytorch-geometric (2.6.1-4) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on libsleef-dev for arm64 and ppc64el.
    Thanks to Andrius Merkys. Closes: #1101533.

 -- Santiago Vila <sanvila@debian.org>  Mon, 31 Mar 2025 17:10:00 +0200

pytorch-geometric (2.6.1-3) unstable; urgency=medium

  * Team upload.
  * Skip autopkgtests if dependencies may not be installed.
  * On single-CPU systems, skip tests which are known not to work.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Mar 2025 22:20:00 +0100

pytorch-geometric (2.6.1-2) unstable; urgency=medium

  * Update skipped test list (Closes: #1093354)

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Feb 2025 07:58:41 -0500

pytorch-geometric (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1 (Closes: #1073547)
  * Tests depend on libtorch-dev.
  * Skip more tests needing GPU.

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Nov 2024 02:41:07 -0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  flit,
+ libtorch-dev <!nocheck>,
+ libsleef-dev [arm64 ppc64el] <!nocheck>,
  pybuild-plugin-pyproject,
  python3,
  python3-ase <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME = torch-geometric

export http_proxy = 127.0.0.1:9
export https_proxy = 127.0.0.1:9

# Skip tests requiring network connection, also flaky tests and ones requiring GPU
TEST_SPEC := not test_citeseer and not test_enzymes and not test_mutag and not _on_cora and not test_asap and not test_feature_store and not test_two_hop and not test_graph_unet and not test_spspmm and not test_add_metapaths and not test_type_repr

# Skip also this test on architectures arm64 and ppc64el
ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
  TEST_SPEC += and not test_my_static_graph_conv
endif

export PYBUILD_TEST_ARGS = -k '$(TEST_SPEC)'

%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/pyg-team/pytorch_geometric/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## pytorch-geometric 2.7.0

=== docs/requirements.txt ===
https://download.pytorch.org/whl/cpu/torch-2.8.0%2Bcpu-cp310-cp310-manylinux_2_28_x86_64.whl
numpy>=1.19.5
git+https://github.com/pyg-team/pyg_sphinx_theme.git

=== debian/changelog ===
pytorch-geometric (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * Drop single-cpu.patch: integrated upstream.

 -- Andrius Merkys <merkys@debian.org>  Wed, 04 Feb 2026 03:23:51 -0500

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-torch-cluster <!nocheck>,
  python3-torch-sparse <!nocheck>,
  python3-tqdm <!nocheck>,
+ python3-xxhash <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.2
 Homepage: https://github.com/pyg-team/pytorch_geometric

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME = torch-geometric

export http_proxy = 127.0.0.1:9
export https_proxy = 127.0.0.1:9

# Skip tests requiring network connection, also flaky tests and ones requiring GPU
TEST_SPEC := not test_citeseer and not test_enzymes and not test_mutag and not _on_cora and not test_asap and not test_feature_store and not test_two_hop and not test_graph_unet and not test_spspmm and not test_add_metapaths and not test_type_repr and not test_protein_mpnn_dataset and not neighbor_sampler

# Skip also this test on architectures arm64 and ppc64el
ifneq (,$(filter $(DEB_HOST_ARCH), arm64 ppc64el))
  TEST_SPEC += and not test_my_static_graph_conv
endif

export PYBUILD_TEST_ARGS = -k '$(TEST_SPEC)'

%:
	dh $@ --buildsystem pybuild
